
package webservices;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.3.0
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "PanelWSImplementationService", targetNamespace = "http://webservices/", wsdlLocation = "http://156.35.98.163:8081/AppSW/soapws/panel?wsdl")
public class PanelWSImplementationService
    extends Service
{

    private final static URL PANELWSIMPLEMENTATIONSERVICE_WSDL_LOCATION;
    private final static WebServiceException PANELWSIMPLEMENTATIONSERVICE_EXCEPTION;
    private final static QName PANELWSIMPLEMENTATIONSERVICE_QNAME = new QName("http://webservices/", "PanelWSImplementationService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("http://156.35.98.163:8081/AppSW/soapws/panel?wsdl");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        PANELWSIMPLEMENTATIONSERVICE_WSDL_LOCATION = url;
        PANELWSIMPLEMENTATIONSERVICE_EXCEPTION = e;
    }

    public PanelWSImplementationService() {
        super(__getWsdlLocation(), PANELWSIMPLEMENTATIONSERVICE_QNAME);
    }

    public PanelWSImplementationService(WebServiceFeature... features) {
        super(__getWsdlLocation(), PANELWSIMPLEMENTATIONSERVICE_QNAME, features);
    }

    public PanelWSImplementationService(URL wsdlLocation) {
        super(wsdlLocation, PANELWSIMPLEMENTATIONSERVICE_QNAME);
    }

    public PanelWSImplementationService(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, PANELWSIMPLEMENTATIONSERVICE_QNAME, features);
    }

    public PanelWSImplementationService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public PanelWSImplementationService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns IPanelWS
     */
    @WebEndpoint(name = "PanelWSImplementationPort")
    public IPanelWS getPanelWSImplementationPort() {
        return super.getPort(new QName("http://webservices/", "PanelWSImplementationPort"), IPanelWS.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns IPanelWS
     */
    @WebEndpoint(name = "PanelWSImplementationPort")
    public IPanelWS getPanelWSImplementationPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://webservices/", "PanelWSImplementationPort"), IPanelWS.class, features);
    }

    private static URL __getWsdlLocation() {
        if (PANELWSIMPLEMENTATIONSERVICE_EXCEPTION!= null) {
            throw PANELWSIMPLEMENTATIONSERVICE_EXCEPTION;
        }
        return PANELWSIMPLEMENTATIONSERVICE_WSDL_LOCATION;
    }

}
